{
  "main": {
    "prefix": "main",
    "body": ["function main()", "\t$1", "end"],
    "description": "脚本主入口"
  },
  "sleep": {
    "prefix": "sleep",
    "body": ["sys.msleep($1)"],
    "description": "延时等待（毫秒）"
  },
  "for": {
    "prefix": "for",
    "body": [
      "for i = 1, $1 do",
      "\t$2",
      "end"
    ],
    "description": "for循环"
  },
  "while": {
    "prefix": "while",
    "body": [
      "while $1 do",
      "\t$2",
      "end"
    ],
    "description": "while循环"
  },
  "if": {
    "prefix": "if",
    "body": [
      "if $1 then",
      "\t$2",
      "end"
    ],
    "description": "if条件"
  },
  "function": {
    "prefix": "function",
    "body": [
      "function $1($2)",
      "\t$3",
      "end"
    ],
    "description": "函数定义"
  },
}